Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins
Class AbstractPluginContainer

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.plugins.DefaultPluginCollection
                  org.gradle.api.internal.plugins.AbstractPluginContainer

All Implemented Interfaces:
  PluginContainer

    class AbstractPluginContainer
    extends DefaultPluginCollection

author:
  Hans Dockter

Nested Class Summary
`interface` | `AbstractPluginContainer.PluginProvider`

Constructor Summary
`AbstractPluginContainer()`

Method Summary
`protected Plugin` | `addPlugin(java.lang.String id, PluginProvider pluginProvider)`
`protected T` | `addPlugin(java.lang.Class type, PluginProvider pluginProvider)`
`protected T` | `addPluginInternal(java.lang.Class type, java.lang.String name, PluginProvider pluginProvider)`
`Plugin` | `findPlugin(java.lang.String name)`
`Plugin` | `findPlugin(java.lang.Class type)`
`protected java.lang.String` | `getNameForType(java.lang.Class type)`
`protected java.lang.Class` | `getTypeForId(java.lang.String id)`
`boolean` | `hasPlugin(java.lang.String name)`
`boolean` | `hasPlugin(java.lang.Class type)`

Methods inherited from class DefaultPluginCollection
allPlugins, allPlugins, matching, whenPluginAdded, whenPluginAdded, withType

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### AbstractPluginContainer

    public AbstractPluginContainer()

Method Detail

### addPlugin

    protected Plugin addPlugin(java.lang.String id, PluginProvider pluginProvider)

### addPlugin

    protected T addPlugin(java.lang.Class type, PluginProvider pluginProvider)

### addPluginInternal

    protected T addPluginInternal(java.lang.Class type, java.lang.String name, PluginProvider pluginProvider)

### findPlugin

    public Plugin findPlugin(java.lang.String name)

### findPlugin

    public Plugin findPlugin(java.lang.Class type)

### getNameForType

    protected java.lang.String getNameForType(java.lang.Class type)

### getTypeForId

    protected java.lang.Class getTypeForId(java.lang.String id)

### hasPlugin

    public boolean hasPlugin(java.lang.String name)

### hasPlugin

    public boolean hasPlugin(java.lang.Class type)

Groovy Documentation